Subject: Re: [Captive-portals] Brian Haberman's No Objection on charter-ietf-capport-00-01: (with COMMENT)

From: Warren Kumari <[email-masked]>
Date: Thu, 15 Oct 2015 10:35:11 -0400

On Thu, Oct 15, 2015 at 8:06 AM, Brian Haberman
<[email-masked]> wrote:
> Brian Haberman has entered the following ballot position for
> charter-ietf-capport-00-01: No Objection
>
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
>
>
>
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/charter-ietf-capport/
>
>
>
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
>
> I agree with Joel that we should keep non-human-driven machines in mind.

... and we will keep non-human-driven machines (unattended machines?)
in mind, but discussions in the BoFs made it fairly clear that this
was not something that we would be likely to be able to solve in the
very initial work.
For example, if the CP requires payment, do you really want your
Internet enabled shirt button to have your credit card information?
And how do you configure your shirt button to know how much you are
willing to spend for it to have Internet access? $1000per hour? $50c?
Can a shirt button agree to an AUP? What about a shoe, or a
thermostat? We will ensure that whatever gets designed does not block
unattended logons, but I'm afraid that we will end up ratholing if we
try and boil the ocean.

I'm more than happy to add Joel's "A secondary goal is to look at the
problem posed to or by devices that have little or no recourse to
human interaction"

W

-- 
I don't think the execution is relevant when it was obviously a bad
idea in the first place.
This is like putting rabid weasels in your pants, and later expressing
regret at having chosen those particular rabid weasels and that pair
of pants.
   ---maf

---

From: Barry Leiba <[email-masked]>
Date: Thu, 15 Oct 2015 12:53:25 -0400

> That's what I was agreeing with.

We already have text (the last line of the charter) that says this:

   A stretch-goal / phase 2 work may attempt to solve this problem
   for devices that have no human interaction (such as "IoT" devices).

Does that not say the same thing?  Do we really need any charter text change?

Barry